## org.eclipse.ocl.uml.util
Class UMLAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.uml.util.UMLAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class UMLAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `UMLPackage`

Field Summary
`protected static UMLPackage` `modelPackage` The cached model package
`protected UMLSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`UMLAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAnyType_1Adapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createAnyTypeAdapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createAssociationClassCallExp_1Adapter()` Creates a new adapter for an object of class '`Association Class Call Exp`'
`Adapter` `createAssociationClassCallExpAdapter()` Creates a new adapter for an object of class '`Association Class Call Exp`'
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBagType_1Adapter()` Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createBagTypeAdapter()` Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createBooleanLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Boolean Literal Exp`'
`Adapter` `createBooleanLiteralExpAdapter()` Creates a new adapter for an object of class '`Boolean Literal Exp`'
`Adapter` `createCallExp_1Adapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createCallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`Adapter` `createClassifierAdapter()` Creates a new adapter for an object of class '`Classifier`'
`Adapter` `createCollectionItem_1Adapter()` Creates a new adapter for an object of class '`Collection Item`'
`Adapter` `createCollectionItemAdapter()` Creates a new adapter for an object of class '`Collection Item`'
`Adapter` `createCollectionLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Collection Literal Exp`'
`Adapter` `createCollectionLiteralExpAdapter()` Creates a new adapter for an object of class '`Collection Literal Exp`'
`Adapter` `createCollectionLiteralPart_1Adapter()` Creates a new adapter for an object of class '`Collection Literal Part`'
`Adapter` `createCollectionLiteralPartAdapter()` Creates a new adapter for an object of class '`Collection Literal Part`'
`Adapter` `createCollectionRange_1Adapter()` Creates a new adapter for an object of class '`Collection Range`'
`Adapter` `createCollectionRangeAdapter()` Creates a new adapter for an object of class '`Collection Range`'
`Adapter` `createCollectionType_1Adapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createDataTypeAdapter()` Creates a new adapter for an object of class '`Data Type`'
`Adapter` `createElementAdapter()` Creates a new adapter for an object of class '`Element`'
`Adapter` `createElementType_1Adapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`Adapter` `createEnumLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'
`Adapter` `createEnumLiteralExpAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createExpressionInOCL_1Adapter()` Creates a new adapter for an object of class '`Expression In OCL`'
`Adapter` `createExpressionInOCLAdapter()` Creates a new adapter for an object of class '`Expression In OCL`'
`Adapter` `createFeatureCallExp_1Adapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createFeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createIfExp_1Adapter()` Creates a new adapter for an object of class '`If Exp`'
`Adapter` `createIfExpAdapter()` Creates a new adapter for an object of class '`If Exp`'
`Adapter` `createIntegerLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Integer Literal Exp`'
`Adapter` `createIntegerLiteralExpAdapter()` Creates a new adapter for an object of class '`Integer Literal Exp`'
`Adapter` `createInvalidLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Invalid Literal Exp`'
`Adapter` `createInvalidLiteralExpAdapter()` Creates a new adapter for an object of class '`Invalid Literal Exp`'
`Adapter` `createInvalidType_1Adapter()` Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createInvalidTypeAdapter()` Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createIterateExp_1Adapter()` Creates a new adapter for an object of class '`Iterate Exp`'
`Adapter` `createIterateExpAdapter()` Creates a new adapter for an object of class '`Iterate Exp`'
`Adapter` `createIteratorExp_1Adapter()` Creates a new adapter for an object of class '`Iterator Exp`'
`Adapter` `createIteratorExpAdapter()` Creates a new adapter for an object of class '`Iterator Exp`'
`Adapter` `createLetExp_1Adapter()` Creates a new adapter for an object of class '`Let Exp`'
`Adapter` `createLetExpAdapter()` Creates a new adapter for an object of class '`Let Exp`'
`Adapter` `createLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createLiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createLoopExp_1Adapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createMessageExp_1Adapter()` Creates a new adapter for an object of class '`Message Exp`'
`Adapter` `createMessageExpAdapter()` Creates a new adapter for an object of class '`Message Exp`'
`Adapter` `createMessageType_1Adapter()` Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createMessageTypeAdapter()` Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createNamedElementAdapter()` Creates a new adapter for an object of class '`Named Element`'
`Adapter` `createNamespaceAdapter()` Creates a new adapter for an object of class '`Namespace`'
`Adapter` `createNavigationCallExp_1Adapter()` Creates a new adapter for an object of class '`Navigation Call Exp`'
`Adapter` `createNavigationCallExpAdapter()` Creates a new adapter for an object of class '`Navigation Call Exp`'
`Adapter` `createNullLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Null Literal Exp`'
`Adapter` `createNullLiteralExpAdapter()` Creates a new adapter for an object of class '`Null Literal Exp`'
`Adapter` `createNumericLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Numeric Literal Exp`'
`Adapter` `createNumericLiteralExpAdapter()` Creates a new adapter for an object of class '`Numeric Literal Exp`'
`Adapter` `createOCLExpression_1Adapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createOCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createOpaqueExpressionAdapter()` Creates a new adapter for an object of class '`Opaque Expression`'
`Adapter` `createOperationCallExp_1Adapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createOrderedSetType_1Adapter()` Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createOrderedSetTypeAdapter()` Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createPackageableElementAdapter()` Creates a new adapter for an object of class '`Packageable Element`'
`Adapter` `createParameterableElementAdapter()` Creates a new adapter for an object of class '`Parameterable Element`'
`Adapter` `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createPrimitiveLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Primitive Literal Exp`'
`Adapter` `createPrimitiveLiteralExpAdapter()` Creates a new adapter for an object of class '`Primitive Literal Exp`'
`Adapter` `createPrimitiveType_1Adapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createPrimitiveType_2Adapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createPrimitiveTypeAdapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createPropertyCallExp_1Adapter()` Creates a new adapter for an object of class '`Property Call Exp`'
`Adapter` `createPropertyCallExpAdapter()` Creates a new adapter for an object of class '`Property Call Exp`'
`Adapter` `createRealLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Real Literal Exp`'
`Adapter` `createRealLiteralExpAdapter()` Creates a new adapter for an object of class '`Real Literal Exp`'
`Adapter` `createRedefinableElementAdapter()` Creates a new adapter for an object of class '`Redefinable Element`'
`Adapter` `createSequenceType_1Adapter()` Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createSequenceTypeAdapter()` Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createSetType_1Adapter()` Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createSetTypeAdapter()` Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createStateExp_1Adapter()` Creates a new adapter for an object of class '`State Exp`'
`Adapter` `createStateExpAdapter()` Creates a new adapter for an object of class '`State Exp`'
`Adapter` `createStringLiteralExp_1Adapter()` Creates a new adapter for an object of class '`String Literal Exp`'
`Adapter` `createStringLiteralExpAdapter()` Creates a new adapter for an object of class '`String Literal Exp`'
`Adapter` `createTemplateableElementAdapter()` Creates a new adapter for an object of class '`Templateable Element`'
`Adapter` `createTupleLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Tuple Literal Exp`'
`Adapter` `createTupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Tuple Literal Exp`'
`Adapter` `createTupleLiteralPart_1Adapter()` Creates a new adapter for an object of class '`Tuple Literal Part`'
`Adapter` `createTupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Tuple Literal Part`'
`Adapter` `createTupleType_1Adapter()` Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTupleTypeAdapter()` Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTypeAdapter()` Creates a new adapter for an object of class '`Type`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypedElement_1Adapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createTypeExp_1Adapter()` Creates a new adapter for an object of class '`Type Exp`'
`Adapter` `createTypeExpAdapter()` Creates a new adapter for an object of class '`Type Exp`'
`Adapter` `createTypeType_1Adapter()` Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createTypeTypeAdapter()` Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createUnlimitedNaturalLiteralExp_1Adapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'
`Adapter` `createUnlimitedNaturalLiteralExpAdapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'
`Adapter` `createUnspecifiedValueExp_1Adapter()` Creates a new adapter for an object of class '`Unspecified Value Exp`'
`Adapter` `createUnspecifiedValueExpAdapter()` Creates a new adapter for an object of class '`Unspecified Value Exp`'
`Adapter` `createValueSpecificationAdapter()` Creates a new adapter for an object of class '`Value Specification`'
`Adapter` `createVariable_1Adapter()` Creates a new adapter for an object of class '`Variable`'
`Adapter` `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'
`Adapter` `createVariableExp_1Adapter()` Creates a new adapter for an object of class '`Variable Exp`'
`Adapter` `createVariableExpAdapter()` Creates a new adapter for an object of class '`Variable Exp`'
`Adapter` `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`Adapter` `createVoidType_1Adapter()` Creates a new adapter for an object of class '`Void Type`'
`Adapter` `createVoidTypeAdapter()` Creates a new adapter for an object of class '`Void Type`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static UMLPackage modelPackage

  The cached model package.

### modelSwitch

    protected UMLSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### UMLAdapterFactory

    public UMLAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAnyTypeAdapter

    public Adapter createAnyTypeAdapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createVoidTypeAdapter

    public Adapter createVoidTypeAdapter()

  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VoidType`

### createInvalidTypeAdapter

    public Adapter createInvalidTypeAdapter()

  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidType`

### createElementTypeAdapter

    public Adapter createElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`

### createTypeTypeAdapter

    public Adapter createTypeTypeAdapter()

  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeType`

### createMessageTypeAdapter

    public Adapter createMessageTypeAdapter()

  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageType`

### createPrimitiveTypeAdapter

    public Adapter createPrimitiveTypeAdapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createCollectionTypeAdapter

    public Adapter createCollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createTupleTypeAdapter

    public Adapter createTupleTypeAdapter()

  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleType`

### createBagTypeAdapter

    public Adapter createBagTypeAdapter()

  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BagType`

### createSetTypeAdapter

    public Adapter createSetTypeAdapter()

  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SetType`

### createOrderedSetTypeAdapter

    public Adapter createOrderedSetTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedSetType`

### createSequenceTypeAdapter

    public Adapter createSequenceTypeAdapter()

  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceType`

### createExpressionInOCLAdapter

    public Adapter createExpressionInOCLAdapter()

  Creates a new adapter for an object of class '`Expression In OCL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionInOCL`

### createAssociationClassCallExpAdapter

    public Adapter createAssociationClassCallExpAdapter()

  Creates a new adapter for an object of class '`Association Class Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationClassCallExp`

### createNavigationCallExpAdapter

    public Adapter createNavigationCallExpAdapter()

  Creates a new adapter for an object of class '`Navigation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationCallExp`

### createFeatureCallExpAdapter

    public Adapter createFeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createCallExpAdapter

    public Adapter createCallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createOCLExpressionAdapter

    public Adapter createOCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createBooleanLiteralExpAdapter

    public Adapter createBooleanLiteralExpAdapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanLiteralExp`

### createPrimitiveLiteralExpAdapter

    public Adapter createPrimitiveLiteralExpAdapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveLiteralExp`

### createLiteralExpAdapter

    public Adapter createLiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createCollectionItemAdapter

    public Adapter createCollectionItemAdapter()

  Creates a new adapter for an object of class '`Collection Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionItem`

### createCollectionLiteralPartAdapter

    public Adapter createCollectionLiteralPartAdapter()

  Creates a new adapter for an object of class '`Collection Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralPart`

### createCollectionLiteralExpAdapter

    public Adapter createCollectionLiteralExpAdapter()

  Creates a new adapter for an object of class '`Collection Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralExp`

### createCollectionRangeAdapter

    public Adapter createCollectionRangeAdapter()

  Creates a new adapter for an object of class '`Collection Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionRange`

### createEnumLiteralExpAdapter

    public Adapter createEnumLiteralExpAdapter()

  Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumLiteralExp`

### createIfExpAdapter

    public Adapter createIfExpAdapter()

  Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfExp`

### createIntegerLiteralExpAdapter

    public Adapter createIntegerLiteralExpAdapter()

  Creates a new adapter for an object of class '`Integer Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerLiteralExp`

### createNumericLiteralExpAdapter

    public Adapter createNumericLiteralExpAdapter()

  Creates a new adapter for an object of class '`Numeric Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NumericLiteralExp`

### createUnlimitedNaturalLiteralExpAdapter

    public Adapter createUnlimitedNaturalLiteralExpAdapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlimitedNaturalLiteralExp`

### createInvalidLiteralExpAdapter

    public Adapter createInvalidLiteralExpAdapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidLiteralExp`

### createIterateExpAdapter

    public Adapter createIterateExpAdapter()

  Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IterateExp`

### createLoopExpAdapter

    public Adapter createLoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createIteratorExpAdapter

    public Adapter createIteratorExpAdapter()

  Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IteratorExp`

### createLetExpAdapter

    public Adapter createLetExpAdapter()

  Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LetExp`

### createMessageExpAdapter

    public Adapter createMessageExpAdapter()

  Creates a new adapter for an object of class '`Message Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageExp`

### createNullLiteralExpAdapter

    public Adapter createNullLiteralExpAdapter()

  Creates a new adapter for an object of class '`Null Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullLiteralExp`

### createOperationCallExpAdapter

    public Adapter createOperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createPropertyCallExpAdapter

    public Adapter createPropertyCallExpAdapter()

  Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyCallExp`

### createRealLiteralExpAdapter

    public Adapter createRealLiteralExpAdapter()

  Creates a new adapter for an object of class '`Real Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealLiteralExp`

### createStateExpAdapter

    public Adapter createStateExpAdapter()

  Creates a new adapter for an object of class '`State Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateExp`

### createStringLiteralExpAdapter

    public Adapter createStringLiteralExpAdapter()

  Creates a new adapter for an object of class '`String Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringLiteralExp`

### createTupleLiteralExpAdapter

    public Adapter createTupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralExp`

### createTupleLiteralPartAdapter

    public Adapter createTupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralPart`

### createTypeExpAdapter

    public Adapter createTypeExpAdapter()

  Creates a new adapter for an object of class '`Type Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeExp`

### createUnspecifiedValueExpAdapter

    public Adapter createUnspecifiedValueExpAdapter()

  Creates a new adapter for an object of class '`Unspecified Value Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnspecifiedValueExp`

### createVariableAdapter

    public Adapter createVariableAdapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Variable`

### createVariableExpAdapter

    public Adapter createVariableExpAdapter()

  Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableExp`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createElementAdapter

    public Adapter createElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Element`

### createNamedElementAdapter

    public Adapter createNamedElementAdapter()

  Creates a new adapter for an object of class '`Named Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NamedElement`

### createNamespaceAdapter

    public Adapter createNamespaceAdapter()

  Creates a new adapter for an object of class '`Namespace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Namespace`

### createRedefinableElementAdapter

    public Adapter createRedefinableElementAdapter()

  Creates a new adapter for an object of class '`Redefinable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RedefinableElement`

### createParameterableElementAdapter

    public Adapter createParameterableElementAdapter()

  Creates a new adapter for an object of class '`Parameterable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterableElement`

### createPackageableElementAdapter

    public Adapter createPackageableElementAdapter()

  Creates a new adapter for an object of class '`Packageable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageableElement`

### createTypeAdapter

    public Adapter createTypeAdapter()

  Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Type`

### createTemplateableElementAdapter

    public Adapter createTemplateableElementAdapter()

  Creates a new adapter for an object of class '`Templateable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateableElement`

### createClassifierAdapter

    public Adapter createClassifierAdapter()

  Creates a new adapter for an object of class '`Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Classifier`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createAnyType_1Adapter

    public Adapter createAnyType_1Adapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createVoidType_1Adapter

    public Adapter createVoidType_1Adapter()

  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VoidType`

### createInvalidType_1Adapter

    public Adapter createInvalidType_1Adapter()

  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidType`

### createElementType_1Adapter

    public Adapter createElementType_1Adapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`

### createTypeType_1Adapter

    public Adapter createTypeType_1Adapter()

  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeType`

### createMessageType_1Adapter

    public Adapter createMessageType_1Adapter()

  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageType`

### createDataTypeAdapter

    public Adapter createDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataType`

### createPrimitiveType_1Adapter

    public Adapter createPrimitiveType_1Adapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createPrimitiveType_2Adapter

    public Adapter createPrimitiveType_2Adapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createCollectionType_1Adapter

    public Adapter createCollectionType_1Adapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createTupleType_1Adapter

    public Adapter createTupleType_1Adapter()

  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleType`

### createBagType_1Adapter

    public Adapter createBagType_1Adapter()

  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BagType`

### createSetType_1Adapter

    public Adapter createSetType_1Adapter()

  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SetType`

### createOrderedSetType_1Adapter

    public Adapter createOrderedSetType_1Adapter()

  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedSetType`

### createSequenceType_1Adapter

    public Adapter createSequenceType_1Adapter()

  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceType`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createValueSpecificationAdapter

    public Adapter createValueSpecificationAdapter()

  Creates a new adapter for an object of class '`Value Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueSpecification`

### createOpaqueExpressionAdapter

    public Adapter createOpaqueExpressionAdapter()

  Creates a new adapter for an object of class '`Opaque Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OpaqueExpression`

### createVisitableAdapter

    public Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitable`

### createExpressionInOCL_1Adapter

    public Adapter createExpressionInOCL_1Adapter()

  Creates a new adapter for an object of class '`Expression In OCL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionInOCL`

### createTypedElement_1Adapter

    public Adapter createTypedElement_1Adapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createOCLExpression_1Adapter

    public Adapter createOCLExpression_1Adapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createCallingASTNodeAdapter

    public Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallingASTNode`

### createCallExp_1Adapter

    public Adapter createCallExp_1Adapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createFeatureCallExp_1Adapter

    public Adapter createFeatureCallExp_1Adapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createNavigationCallExp_1Adapter

    public Adapter createNavigationCallExp_1Adapter()

  Creates a new adapter for an object of class '`Navigation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationCallExp`

### createAssociationClassCallExp_1Adapter

    public Adapter createAssociationClassCallExp_1Adapter()

  Creates a new adapter for an object of class '`Association Class Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationClassCallExp`

### createLiteralExp_1Adapter

    public Adapter createLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createPrimitiveLiteralExp_1Adapter

    public Adapter createPrimitiveLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveLiteralExp`

### createBooleanLiteralExp_1Adapter

    public Adapter createBooleanLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanLiteralExp`

### createCollectionLiteralPart_1Adapter

    public Adapter createCollectionLiteralPart_1Adapter()

  Creates a new adapter for an object of class '`Collection Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralPart`

### createCollectionItem_1Adapter

    public Adapter createCollectionItem_1Adapter()

  Creates a new adapter for an object of class '`Collection Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionItem`

### createCollectionLiteralExp_1Adapter

    public Adapter createCollectionLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Collection Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralExp`

### createCollectionRange_1Adapter

    public Adapter createCollectionRange_1Adapter()

  Creates a new adapter for an object of class '`Collection Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionRange`

### createEnumLiteralExp_1Adapter

    public Adapter createEnumLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumLiteralExp`

### createIfExp_1Adapter

    public Adapter createIfExp_1Adapter()

  Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfExp`

### createNumericLiteralExp_1Adapter

    public Adapter createNumericLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Numeric Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NumericLiteralExp`

### createIntegerLiteralExp_1Adapter

    public Adapter createIntegerLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Integer Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerLiteralExp`

### createUnlimitedNaturalLiteralExp_1Adapter

    public Adapter createUnlimitedNaturalLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlimitedNaturalLiteralExp`

### createInvalidLiteralExp_1Adapter

    public Adapter createInvalidLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidLiteralExp`

### createLoopExp_1Adapter

    public Adapter createLoopExp_1Adapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createIterateExp_1Adapter

    public Adapter createIterateExp_1Adapter()

  Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IterateExp`

### createIteratorExp_1Adapter

    public Adapter createIteratorExp_1Adapter()

  Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IteratorExp`

### createLetExp_1Adapter

    public Adapter createLetExp_1Adapter()

  Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LetExp`

### createMessageExp_1Adapter

    public Adapter createMessageExp_1Adapter()

  Creates a new adapter for an object of class '`Message Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageExp`

### createNullLiteralExp_1Adapter

    public Adapter createNullLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Null Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullLiteralExp`

### createOperationCallExp_1Adapter

    public Adapter createOperationCallExp_1Adapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createPropertyCallExp_1Adapter

    public Adapter createPropertyCallExp_1Adapter()

  Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyCallExp`

### createRealLiteralExp_1Adapter

    public Adapter createRealLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Real Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealLiteralExp`

### createStateExp_1Adapter

    public Adapter createStateExp_1Adapter()

  Creates a new adapter for an object of class '`State Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateExp`

### createStringLiteralExp_1Adapter

    public Adapter createStringLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`String Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringLiteralExp`

### createTupleLiteralExp_1Adapter

    public Adapter createTupleLiteralExp_1Adapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralExp`

### createTupleLiteralPart_1Adapter

    public Adapter createTupleLiteralPart_1Adapter()

  Creates a new adapter for an object of class '`Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralPart`

### createTypeExp_1Adapter

    public Adapter createTypeExp_1Adapter()

  Creates a new adapter for an object of class '`Type Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeExp`

### createUnspecifiedValueExp_1Adapter

    public Adapter createUnspecifiedValueExp_1Adapter()

  Creates a new adapter for an object of class '`Unspecified Value Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnspecifiedValueExp`

### createVariable_1Adapter

    public Adapter createVariable_1Adapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Variable`

### createVariableExp_1Adapter

    public Adapter createVariableExp_1Adapter()

  Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableExp`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.